# AlienImage_X11XWDFileHeader.hxx File Reference

`#include <Standard_Type.hxx>`
`#include <Aspect_XWD.hxx>`

## Typedefs

typedef XWDFileHeader | AlienImage_X11XWDFileHeader

## Functions

const | Handle (Standard_Type)&STANDARD_TYPE(AlienImage_X11XWDFileHeader)
ostream & | operator<< (ostream &s, const AlienImage_X11XWDFileHeader &h)
Standard_Boolean | operator== (const AlienImage_X11XWDFileHeader &AnObject, const AlienImage_X11XWDFileHeader &AnotherObject)
void | ShallowDump (const AlienImage_X11XWDFileHeader &AnObject, Standard_OStream &S)

## Typedef Documentation

typedef XWDFileHeader AlienImage_X11XWDFileHeader

## Function Documentation

const Handle | ( | Standard_Type |  | ) | `[inline]`

ostream& operator<< | ( | ostream & | s,
|  | const AlienImage_X11XWDFileHeader & | h
| ) |

Standard_Boolean operator== | ( | const AlienImage_X11XWDFileHeader & | AnObject,
|  | const AlienImage_X11XWDFileHeader & | AnotherObject
| ) |

void ShallowDump | ( | const AlienImage_X11XWDFileHeader & | AnObject,
|  | Standard_OStream & | S
| ) |